<template>
  <div class="cursor-pointer" @click="handleClick">
    <svg width="20" height="21" viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M12.7011 2.16797H7.29892H7.29891C6.6281 2.16796 6.07447 2.16795 5.62348 2.2048C5.15507 2.24307 4.72448 2.32521 4.32003 2.53128C3.69283 2.85086 3.18289 3.36079 2.86331 3.988C2.65724 4.39245 2.5751 4.82303 2.53683 5.29145C2.49998 5.74244 2.49999 6.29607 2.5 6.96687V6.96689V18.0013C2.5 18.3147 2.67588 18.6017 2.95519 18.7439C3.2345 18.8861 3.56999 18.8596 3.82348 18.6753L5.60092 17.3826L7.18776 18.652C7.48096 18.8866 7.89481 18.8961 8.19848 18.6753L10 17.3651L11.8015 18.6753C12.1052 18.8961 12.519 18.8866 12.8122 18.652L14.3991 17.3826L16.1765 18.6753C16.43 18.8596 16.7655 18.8861 17.0448 18.7439C17.3241 18.6017 17.5 18.3147 17.5 18.0013V6.96687C17.5 6.29607 17.5 5.74244 17.4632 5.29145C17.4249 4.82303 17.3428 4.39245 17.1367 3.988C16.8171 3.36079 16.3072 2.85086 15.68 2.53128C15.2755 2.32521 14.8449 2.24307 14.3765 2.2048C13.9255 2.16795 13.3719 2.16796 12.7011 2.16797H12.7011Z"
        :fill="value ? '#0066FF' : '#304057'"
      />
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M13.5059 6.57611C13.8314 6.90155 13.8314 7.42918 13.5059 7.75462L9.75592 11.5046C9.43049 11.8301 8.90285 11.8301 8.57741 11.5046L6.91075 9.83795C6.58531 9.51252 6.58531 8.98488 6.91075 8.65944C7.23618 8.33401 7.76382 8.33401 8.08926 8.65944L9.16667 9.73685L12.3274 6.57611C12.6529 6.25067 13.1805 6.25067 13.5059 6.57611Z"
        :fill="value ? '#fff' : '#8DA2C1'"
      />
    </svg>
  </div>
</template>

<script>
export default {
  name: 'ConfiguratorCheckbox',

  props: {
    value: {
      type: Boolean,
      default: false,
    },
  },

  methods: {
    handleClick() {
      this.$emit('input', !this.value);
    },
  },
};
</script>
